OpenVDB 3.2.0

Public Types | Public Member Functions | Public Attributes | List of all members
MultiResGrid< TreeType >::MaskOp Struct Reference

`#include <MultiResGrid.h>`

## Public Types
typedef TreeType::template ValueConverter< ValueMask >::Type | MaskT
typedef tbb::enumerable_thread_specific< TreeType > | PoolType
typedef tree::LeafManager< const MaskT > | ManagerT
typedef ManagerT::LeafRange | RangeT
typedef ManagerT::LeafNodeType::ValueOnCIter | VoxelIterT

## Public Member Functions
| MaskOp (const TreeType &fineTree, TreeType &coarseTree, size_t grainSize=1)
void | operator() (const RangeT &range) const

## Public Attributes
PoolType * | mPool

## Member Typedef Documentation

## ◆ ManagerT

typedef tree::LeafManager<const MaskT> ManagerT

## ◆ MaskT

typedef TreeType::template ValueConverter<ValueMask>::Type MaskT

## ◆ PoolType

typedef tbb::enumerable_thread_specific<TreeType> PoolType

## ◆ RangeT

typedef ManagerT::LeafRange RangeT

## ◆ VoxelIterT

typedef ManagerT::LeafNodeType::ValueOnCIter VoxelIterT

## Constructor & Destructor Documentation

## ◆ MaskOp()

MaskOp | ( | const TreeType & | fineTree,
|  | TreeType & | coarseTree,
|  | size_t | grainSize = `1`
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const RangeT & | range | ) | const
| inline

## Member Data Documentation

## ◆ mPool

PoolType* mPool

The documentation for this struct was generated from the following file:

- MultiResGrid.h